﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using MUD.Client.Corba;
using System.Runtime.InteropServices;

namespace MUD.Client
{
    static class Program
    {
        [DllImport("kernel32.dll")]
        static extern bool AttachConsole(int dwProcessId);
        private const int ATTACH_PARENT_PROCESS = -1;
        [DllImport("kernel32.dll", SetLastError = true, ExactSpelling = true)]
        static extern bool FreeConsole();

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(String[] args)
        {

            // redirect console output to parent process;
            // must be before any calls to Console.WriteLine()
            AttachConsole(ATTACH_PARENT_PROCESS);

    
            //initialize everything
            ServerConnection server=null;
            try
            {
                server = ServerConnection.getInstance(args);
            }
            catch (ArgumentException)
            {
                FreeConsole();
                return;
            }
            catch (Exception)
            {
                FreeConsole();
                MessageBox.Show("Unable to connect to the server. Please check to see if the orb is running");
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            MainWindow window = new MainWindow();
            IntPtr winHandle = window.Handle; //force the creation of the window handle
            server.setChat(new System.Threading.ParameterizedThreadStart(window.newMessage));
            server.setEventManager(new System.Threading.ParameterizedThreadStart(window.newEvent));
            Application.Run(new LoginForm());
            if (!server.isLoggedIn())
            {
                server.GetClient().MyEvents.Stop();
                FreeConsole();
                return;
            }

            Application.Run(window);

            if (server.isLoggedIn())
                server.Logout();

            FreeConsole();
            Application.Exit();
        }
    }
}
