﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MUD.Client.Utils
{
    public class Convertion
    {
        /// <summary>
        /// Create a fixed length array from a string
        /// </summary>
        /// <param name="input">String to convert</param>
        /// <param name="length">The length required of the resulting Char Array</param>
        /// <returns>Fixed length char array</returns>
        /// <exception cref="ArgumentException">If the specified Input string is 
        ///     larger than the buffer to be created.</exception>
        public static char[] CreateFixedLengthCharArray(String input, int length)
        {
            if (input.Length > length)
                throw new ArgumentException("Input cannot be larger than the alloted length");

            char[] rets = new char[length];
            //Buffer.BlockCopy(input.ToCharArray(), 0, rets, 0, input.Length);
            Array.Copy(input.ToCharArray(), rets, input.Length);
            return rets;
        }
    }
}
