package mud.client;

import javax.swing.Icon;
import javax.swing.JLabel;

@SuppressWarnings("serial")
public class HtmlLabel extends JLabel {

	private String text;
	
	public HtmlLabel() {
		super();
	}
	public HtmlLabel(Icon image, int horizontalAlignment) {
		super(image, horizontalAlignment);
	}
	public HtmlLabel(Icon image) {
		super(image);
	}
	public HtmlLabel(String text, Icon icon, int horizontalAlignment) {
		super(text, icon, horizontalAlignment);
	}
	public HtmlLabel(String text, int horizontalAlignment) {
		super(text, horizontalAlignment);
	}
	public HtmlLabel(String text) {
		super(text);
	}
	
	//Functions
	
	//Getters
	public String getPlainText() {
		return text;
	}
	
	//Setters
	public void setText(String t) {		
		text = t;

		super.setText(String.format("<html><div width='%d'>%s</div></html>", getWidth(), t));		
	}
	
	public void appendText(String t){
		setText("<div>" + t + "</div>" + text);
		this.validate();
	}

	public void setBounds(int x, int y, int w, int h) {
		boolean sizeChanged = (w != getWidth() || h != getHeight());
		super.setBounds(x, y, w, h);
		
		if (sizeChanged) {
			setText(text);
		}
	}
}
