package mud.client.corba;

import static mud.common.Constants.SERVER_EVENT_CHAT;

import javax.swing.SwingUtilities;

import mud.client.ChatView;
import mud.client.GameLoop;
import mud.common.idl.clients.ClientPOA;
import mud.common.idl.clients.Event;

public class ClientImpl extends ClientPOA {

	private boolean inited;
	private GameLoop gameLoop;
	private ChatView chatView;
	
	public ClientImpl() {
	}

	//Functions
	public void init(GameLoop gl, ChatView cv) {
		inited = true;
		gameLoop = gl;
		chatView = cv;
	}
	
	/** Receive events from the server */
	public void pushEvent(final Event event) {
		if (!inited) {
			System.err.println("ClientImpl.pushEvent() :: Discarding event " + event.discriminator());
			return;
		}
		
		final int id = event.discriminator();

		switch (id) {
		case SERVER_EVENT_CHAT:
			SwingUtilities.invokeLater(new Runnable() {
				public void run() {
					chatView.appendText(new String(event.chatEvent().message).trim());
				}
			});
			break;
		default:
			//Default behavior: let the gameloop handle the events at a later time
			gameLoop.addServerEvent(event);
			break;
		}
	}

	//Getters
	
	//Setters
	
}
