package mud.client.view;

import java.awt.Color;
import java.awt.Graphics2D;

import mud.common.Constants;
import mud.common.room.GameTile;

/** Draws a tile */
public class GameTileDrawable implements TiledDrawable {

	public void draw(GameView gameView, GameTile tile, Graphics2D g, int tileSize) {
		if (Constants.DISCO_TILES) {
			g.setColor(new Color((int)(Math.random() * 0xFFFFFF)));
			g.fillRect(0, 0, tileSize, tileSize);
		}

		if (tile != null) {
			//Draw the tile, but not the objects						
			gameView.drawImageRect(g, tile.getImage(), 0, 0, tileSize, tileSize);
		}
	}

}
