package mud.common;

/**
 * Collection of useful convertion functions.
 * @author Tamar Christina
 *
 */
public abstract class Utils {
	
	/***
	 * Creates a fixed length array 
	 * @param input String to convert
	 * @param length The required length of the resulting Char array
	 * @return Fixed length char array
	 * @throws IllegalArgumentException If the specified Input string is 
	 * 		larger than the buffer to be created. 
	 */
	public static char[] createFixedLengthCharArray(String input, int length){
		if(input.length()>length)
			throw new IllegalArgumentException("Input cannot be larger than the alloted length");
		
		char[] dest=new char[length];
		System.arraycopy(input.toCharArray(), 0, dest, 0, input.length());
		return dest;
	}
	
	public static int getDeltaX(Direction dir, int dist) {
		return (dir == Direction.EAST ? dist : (dir == Direction.WEST ? -dist : 0));
	}
	public static int getDeltaY(Direction dir, int dist) {
		return (dir == Direction.SOUTH ? dist : (dir == Direction.NORTH ? -dist : 0));
	}
}
