package mud.common.items;

import mud.common.xml.XmlElement;

public class Weapon extends Item {

	private int attack;
	
	public Weapon(int id, String name, int atk) {
		super(id, name);
		
		this.attack = atk;
	}
	
	//Functions
	
	//Getters
	public String getLabel() {
		return String.format("%s (+%d atk)", getName(), attack);
	}
	public int getAttack() {
		return attack;
	}
	
	//Setters
	
	//Save Support
	protected String getXmlTagName() { return "weapon"; }
	protected void toXml2(XmlElement e) {
		super.toXml2(e);
		
		e.addChild("attack", attack);
	}
}
