package mud.common.objects;

import mud.common.image.ImageRect;
import mud.common.xml.XmlElement;

public class Monster extends Creature {

	private int attack;
	private int defense;
	
	public Monster(int id, ImageRect image, int hp, int atk, int def) {
		super(id, image, hp);
		
		this.attack = atk;
		this.defense = def;
		this.setName("monster");
	}

	//Functions
	
	//Getters
	public int getAttack() {
		return attack;
	}
	public int getDefense() {
		return defense;
	}
	
	//Setters
	
	//Save Support
	protected String getXmlTagName() { return "monster"; }
	protected void toXml2(XmlElement e) {
		super.toXml2(e);
		
		e.addChild("attack", attack);
		e.addChild("defense", defense);
	}
}
