package mud.common.objects;

import mud.common.image.ImageRect;
import mud.common.xml.XmlElement;

/** Like a door. Step on it to teleport to a new room/location */
public class Transporter extends GameObject {

	private int targetRoomId;
	private int tx;
	private int ty;
	
	public Transporter(int id, ImageRect image, int targetRoomId, int tx, int ty) {
		super(id, image);
		
		this.targetRoomId = targetRoomId;
		this.tx = tx;
		this.ty = ty;
	}

	//Functions
	public int getTargetRoomId() {
		return targetRoomId;
	}
	public int getTargetX() {
		return tx;
	}
	public int getTargetY() {
		return ty;
	}
	
	//Getters
	
	//Setters
	
	//Save Support
	protected String getXmlTagName() { return "transporter"; }
	protected void toXml2(XmlElement e) {
		super.toXml2(e);
		
		e.addChild("targetRoom", targetRoomId);
		e.addChild("targetX", tx);
		e.addChild("targetY", ty);
	}
}
