package mud.common.objects;

import java.util.Collection;

import mud.common.image.ImageRect;
import mud.common.items.Item;
import mud.common.room.TileAction;
import mud.common.xml.XmlElement;

public class Treasure extends GameObject {

	private Inventory inventory;
	
	public Treasure(int id, ImageRect image) {
		super(id, image);
		
		inventory = new Inventory();
	}
	
	//Functions
	public void contributeTileActions(Collection<TileAction> c) {
		for (Item i : getInventory().getItems()) {
			c.add(new TileAction(i.getId(), getId(), "Take " + i.getLabel()));
		}
	}
	public void executeTileAction(Creature user, int actionId) {
		Item item = getInventory().removeItem(actionId);
		if (item != null) {
			user.getInventory().addItem(item);
		}
	}
	
	//Getters
	public Inventory getInventory() { return inventory; }
	
	//Setters

	//Save Support
	protected String getXmlTagName() { return "treasure"; }
	protected void toXml2(XmlElement e) {
		super.toXml2(e);
		
		e.addChild(inventory.toXml());
	}
}
