package mud.common.objects;

import mud.common.Constants;

public class WalkActivity implements Activity {

	private static final int DURATION = 500;
	
	private long startTime;
	private int dirX;
	private int dirY;
	
	public WalkActivity(int dirX, int dirY) {
		this.startTime = System.currentTimeMillis();
		this.dirX = dirX;
		this.dirY = dirY;
	}
	
	public boolean isFinished() {
		return getTimeTaken() >= DURATION;
	}

	protected int getTimeTaken() {
		return (int)Math.min(DURATION, System.currentTimeMillis() - startTime);
	}
	public int getDx() {
		return -Constants.TILE_SIZE*dirX + Constants.TILE_SIZE * dirX * getTimeTaken() / DURATION;
	}
	public int getDy() {
		return -Constants.TILE_SIZE*dirY + Constants.TILE_SIZE * dirY * getTimeTaken() / DURATION;
	}
	
}
