package mud.common.xml;

/**
 * These classes are just a wrapper around the DOM xml parser, that makes it a
 * lot nicer to use.
 */
public class XmlFile {

	private String name;
	private XmlElement root;
	
	public XmlFile(String name) {
		this.name = name;		
		
		root = new XmlElement(name + "#root") {
			public void toXmlString(String linePrefix, StringBuilder sb) {
				linePrefix = "";
				for (XmlNode node : getChildren()) {
					node.toXmlString(linePrefix, sb);
				}
			}
		};
	}
	
	//Functions
	public String toXmlString() {
		StringBuilder sb = new StringBuilder();		
		if (root != null) {
			root.toXmlString("", sb);
		}		
		return sb.toString();
	}	
	
	//Getters
	public String getName() {
		return name;
	}
	public XmlElement getRoot() {
		return root;
	}
	
	//Setters
	public void setRoot(XmlElement element) {
		this.root = element;
	}
}
