package mud.server;

import java.util.logging.Level;
import java.util.logging.Logger;
import mud.server.corba.CorbaServer;

/***
 * Main Entry point into the server. Creates the server side listeners and gets
 * things rolling
 * 
 * @author Tamar Christina
 */
public class MainServer {

	private CorbaServer server;

	/**
	 * Create a new instance of the MainServer class
	 * 
	 * @param args Commandline arguments
	 */
	public MainServer(String[] args) {
		server = new CorbaServer("localhost", null, args);
	}

	/**
	 * Entry point
	 * 
	 * @param args Commandline arguments to pass along to corba
	 */
	public static void main(String[] args) {
		MainServer main = new MainServer(args);
		main.start();
	}

	/**
	 * Start the server
	 */
	public void start() {
		server.start();
	}

	public void stop() {
		try {
			server.stop();
			EventBroadcaster.getInstance().stop();
		} catch (InstantiationException ex) {
			Logger.getLogger(MainServer.class.getName()).log(Level.SEVERE, null, ex);
		}
	}
}
