package mud.server.corba;

import java.util.Collection;
import java.util.Collections;
import java.util.Hashtable;
import java.util.Map;

import mud.common.room.Room;

public class RoomInfo {
	
	private Room room;
	private Map<Integer, User> users;
	
	public RoomInfo(Room room) {
		this.room = room;
		this.users = new Hashtable<Integer, User>();
	}
	
	//Functions
	public void addUser(User user) {
		users.put(user.getId(), user);
	}
	public void removeUser(int userId) {
		users.remove(userId);
	}
	
	//Getters
	public int getId() { return room.getId(); }
	public Room getRoom() { return room; }
	public Collection<User> getUsersInRoom() {
		return Collections.unmodifiableCollection(users.values());
	}
	
	//Setters
	
}
